For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList secrets (metadata only)
      • POSTCreate a secret
      • GETGet secret metadata
      • PUTUpdate or rotate a secret
      • DELDelete a secret
      • POSTCheck which secret keys exist, are missing, or revoked
      • POSTGet intake manifest for secret configuration
      • POSTSubmit secret values from intake screen
      • POSTGenerate dashboard URL for configuring missing secrets
Dashboard
LogoLogo
Runtype APISecrets

Generate dashboard URL for configuring missing secrets

POST
/v1/secrets/setup-url
POST
/v1/secrets/setup-url
$curl -X POST https://api.runtype.com/v1/secrets/setup-url \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "keys": [
> "DATABASE_PASSWORD"
> ]
>}'
1{
2 "url": "https://dashboard.runtype.com/secrets/setup?token=abc123xyz",
3 "missing": [
4 "DATABASE_PASSWORD",
5 "API_KEY"
6 ],
7 "revoked": [
8 "OLD_SECRET_TOKEN"
9 ],
10 "alreadyConfigured": [
11 "SERVICE_ACCOUNT_KEY"
12 ]
13}
Was this page helpful?
Previous

Create product

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
keyslist of stringsRequired
contextobjectOptional

Response

Setup URL result
urlstring or null
missinglist of strings
revokedlist of strings
alreadyConfiguredlist of strings

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error